Subject: bug#58238: closed (Re: bug#59661: [PATCH 0/3] Add e2fsprogs to %base-packages-utils.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 05 Dec 2022 16:45:03 +0000

Your bug report

#59661: [PATCH] make e2fsprogs visible

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
59661: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=59661
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#59661: [PATCH 0/3] Add e2fsprogs to %base-packages-utils.
From: Maxim Cournoyer <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Mon, 05 Dec 2022 11:44:50 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Ludovic Courtès <[email-masked]> writes:

> Ludovic Courtès <[email-masked]> skribis:
>
>> Maxim Cournoyer <[email-masked]> skribis:
>>
>>> * gnu/system/install.scm (%installer-disk-utilities): Add e2fsprogs.
>>
>> LGTM!
>>
>> e2fsprogs binaries are indeed missing from $PATH in
>> guix-system-install-1.4.0rc1.*.iso; I’ll cherry-pick it on
>> ‘version-1.4.0’.
>>
>> What I don’t get is that our manual installation tests should have
>> caught this issue because they use ‘mkfs.ext4’ and expect to have it in
>> $PATH.  I’ll take a look…
>
> Got it: Mathieu worked around it in
> 0f66ef9aa99d2043abccbc80d858bdeca57534ac by explicitly adding e2fsprogs
> and the installation system used by the tests:
>
>   commit 0f66ef9aa99d2043abccbc80d858bdeca57534ac
>   Author: Mathieu Othacehe <[email-masked]>
>   Date:   Fri Sep 30 15:19:36 2022 +0200
>
>       tests: install: Fix iso-image-installer test.
>
>       This is a follow-up of: 45eac6cdf5c8d9d7b0c564b105c790d2d2007799.
>       It fixes the following error:
>
>       + mkfs.ext4 -L my-root /dev/vda2
>       sh: line 12: mkfs.ext4: command not found
>
>       * gnu/tests/install.scm (%test-iso-image-installer): Add e2fsprogs to the
>       appended packages.
>
> We should be able to revert this commit once the installer provides
> e2fsprogs by default.

I applied this series, reverted 0f66ef9aa99d2043abccbc80d858bdeca57534ac
as suggested above, ran:

--8<---------------cut here---------------start------------->8---
make check-system TESTS=iso-image-installer
--8<---------------cut here---------------end--------------->8---

And pushed!

Closing.

-- 
Thanks,
Maxim

Subject: [PATCH] make e2fsprogs visible
From: Adam Kandur <[email-masked]>
To: [email-masked]
Cc: Adam Kandur <[email-masked]>
Date: Sun, 2 Oct 2022 02:09:17 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

---
Can I ask to add e2fsprogs to %base-packages? Because there is no
e2fsprogs, there are no commands like mkfs.ext2 or mkfs.ext4 in
the user profile during the installation. Commands are in
/gnu/store/*e2fsprogs*/sbin/ and are usable. But it would be
more convenient to have them available in the user profile.

 gnu/system.scm | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/gnu/system.scm b/gnu/system.scm
index 66ca629..8e14ec3 100644
--- a/gnu/system.scm
+++ b/gnu/system.scm
@@ -913,7 +913,8 @@ (define %base-packages-disk-utilities
 (define %base-packages
   ;; Default set of packages globally visible.  It should include anything
   ;; required for basic administrator tasks.
-  (append %base-packages-artwork
+  (append (list e2fsprogs)
+          %base-packages-artwork
           %base-packages-interactive
           %base-packages-linux
           %base-packages-networking
-- 
2.37.3